Loading...
Searching...
No Matches
Ogre::PropertyBase Class Referenceabstract
Optional Components » Property

Base interface for an instance of a property. More...

`#include <OgreProperty.h>`

Inheritance diagram for Ogre::PropertyBase:
[legend]

## Public Member Functions

| PropertyBase (PropertyDef *def)
| Constructor.
virtual | ~PropertyBase ()
const String & | getDescription () const
| Get the description of the property.
const String & | getName () const
| Get the name of the property.
PropertyType | getType () const
| Get the type of the property.
virtual Ogre::Any | getValue () const =0
| Return the current value as an Any.

## Detailed Description

Base interface for an instance of a property.

## Constructor & Destructor Documentation

## PropertyBase()

Ogre::PropertyBase::PropertyBase | ( | PropertyDef * | def | ) |

inline

Constructor.

Referenced by Ogre::Property< T >::Property(), and getValue().

## ~PropertyBase()

virtual Ogre::PropertyBase::~PropertyBase | ( |  | ) |

inline virtual

## Member Function Documentation

## getName()

const String & Ogre::PropertyBase::getName | ( |  | ) | const

inline

Get the name of the property.

## getDescription()

const String & Ogre::PropertyBase::getDescription | ( |  | ) | const

inline

Get the description of the property.

## getType()

PropertyType Ogre::PropertyBase::getType | ( |  | ) | const

inline

Get the type of the property.

## getValue()

virtual Ogre::Any Ogre::PropertyBase::getValue | ( |  | ) | const

pure virtual

Return the current value as an Any.

Implemented in Ogre::Property< T >.

References PropertyBase().

The documentation for this class was generated from the following file:

- OgreProperty.h